APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Update single sign-on credentials using a password for a user or group.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
Permission type
Permissions (from least to most privileged)
Delegated (work or school account)
Application.ReadWrite.All and Directory.Read.All, Directory.ReadWrite.All
Delegated (personal Microsoft account)
Not supported.
Application
Application.ReadWrite.All and Directory.Read.All, Directory.ReadWrite.All
Note
Users can create credentials for themselves. Service principal owners and admins with the following roles can create credentials for any user or group: GlobalAdministrator, ApplicationAdministrator, CloudApplicationAdministrator. To learn more, see Directory roles.
HTTP request
POST /servicePrincipals/{id}/updatePasswordSingleSignOnCredentials
Request headers
Name
Description
Authorization
Bearer {token}. Required.
Content-Type
application/json. Required.
Request body
In the request body, provide a JSON object with the following parameters.
Parameter
Type
Description
id
String
The ID of the user or group this credential set belongs to.
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var id = "5793aa3b-cca9-4794-679a240f8b58";
var credentials = new List<Credential>()
{
new Credential
{
FieldId = "param_username",
Value = "myusername",
Type = "username"
},
new Credential
{
FieldId = "param_password",
Value = "pa$$w0rd",
Type = "password"
}
};
await graphClient.ServicePrincipals["{servicePrincipal-id}"]
.UpdatePasswordSingleSignOnCredentials(id,credentials)
.Request()
.PostAsync();
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
Import-Module Microsoft.Graph.Applications
$params = @{
Id = "5793aa3b-cca9-4794-679a240f8b58"
Credentials = @(
@{
FieldId = "param_username"
Value = "myusername"
Type = "username"
}
@{
FieldId = "param_password"
Value = "pa$$w0rd"
Type = "password"
}
)
}
Update-MgServicePrincipalPasswordSingleSignOnCredentials -ServicePrincipalId $servicePrincipalId -BodyParameter $params
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
<?php
// THIS SNIPPET IS A PREVIEW FOR THE KIOTA BASED SDK. NON-PRODUCTION USE ONLY
$graphServiceClient = new GraphServiceClient($requestAdapter);
$requestBody = new UpdatePasswordSingleSignOnCredentialsPostRequestBody();
$requestBody->setId('5793aa3b-cca9-4794-679a240f8b58');
$credentialsCredential1 = new Credential();
$additionalData = [
'fieldId' => 'param_username',
'value' => 'myusername',
'type' => 'username',
];
$credentialsCredential1->setAdditionalData($additionalData);
$credentialsArray []= $credentialsCredential1;
$credentialsCredential2 = new Credential();
$additionalData = [
'fieldId' => 'param_password',
'value' => 'pa$$w0rd',
'type' => 'password',
];
$credentialsCredential2->setAdditionalData($additionalData);
$credentialsArray []= $credentialsCredential2;
$requestBody->setCredentials($credentialsArray);
$graphServiceClient->servicePrincipalsById('servicePrincipal-id')->updatePasswordSingleSignOnCredentials()->post($requestBody);
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.